<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:2.0" name="subsystem.undertow.configuration.handler.reverse-proxy.host" stability="default">
    <annotation name="jboss-op">
        <elem name="name" value="add"/>
        <elem name="op-params" value="enable-http2,instance-id,outbound-socket-binding,path,scheme,security-realm,ssl-context"/>
        <elem name="addr-params" value="profile,subsystem,configuration,reverse-proxy,host"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="subsystem.undertow"/>
    </annotation>
    <provides>
        <capability name="$profile.org.wildfly.undertow.reverse-proxy.host.$reverse-proxy.$host"/>
    </provides>
    <requires>
        <capability name="org.wildfly.network.outbound-socket-binding.$outbound-socket-binding"/>
        <capability name="$profile.org.wildfly.security.ssl-context.$ssl-context" optional="true"/>
    </requires>
    <refs>
        <ref feature="subsystem.undertow.configuration.handler.reverse-proxy"/>
        <ref feature="subsystem.undertow.configuration.handler"/>
        <ref feature="subsystem.undertow"/>
        <ref feature="profile" nillable="true"/>
    </refs>
    <params>
        <param name="reverse-proxy" feature-id="true"/>
        <param name="path" nillable="true" stability="default"/>
        <param name="scheme" nillable="true" stability="default"/>
        <param name="configuration" feature-id="true" default="handler"/>
        <param name="instance-id" nillable="true" stability="default"/>
        <param name="profile" feature-id="true" default="GLN_UNDEFINED"/>
        <param name="host" feature-id="true" default="GLN_UNDEFINED"/>
        <param name="subsystem" feature-id="true" default="undertow"/>
        <param name="security-realm" nillable="true" stability="default"/>
        <param name="outbound-socket-binding" stability="default"/>
        <param name="ssl-context" nillable="true" stability="default"/>
        <param name="enable-http2" nillable="true" stability="default"/>
    </params>
</feature-spec>